## ros-melodic-variant-msgs 0.1.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5.1)
project(variant_msgs)

# Set the build type.  Options are:
#  Coverage       : w/ debug symbols, w/o optimization, w/ code-coverage
#  Debug          : w/ debug symbols, w/o optimization
#  Release        : w/o debug symbols, w/ optimization
#  RelWithDebInfo : w/ debug symbols, w/ optimization
#  MinSizeRel     : w/o debug symbols, w/ optimization, stripped binaries
# set(CMAKE_BUILD_TYPE RelWithDebInfo)

## Find catkin macros and libraries
find_package(catkin REQUIRED
  COMPONENTS
    message_generation
    std_msgs
)

####################################
## Generate messages and services ##
####################################
## Add message files to be generated
add_message_files(
  DIRECTORY msg
  FILES
    Test.msg
    Variant.msg
    VariantHeader.msg
    VariantType.msg
)

## Generate services
generate_messages(
  DEPENDENCIES std_msgs
)

###################################
## catkin specific configuration ##
###################################
## The catkin_package macro generates cmake config files for your package
## Declare things to be passed to dependent projects
## INCLUDE_DIRS: uncomment this if you package contains header files
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need
catkin_package(
  CATKIN_DEPENDS
    message_runtime
    std_msgs
)

## ros-melodic-variant-msgs 0.1.5

=== debian/changelog ===
ros-melodic-variant-msgs (0.1.5-0stretch) stretch; urgency=high



 -- Ralf Kaestner <ralf.kaestner@gmail.com>  Thu, 22 Nov 2018 23:00:00 -0000

ros-melodic-variant-msgs (0.1.4-0stretch) stretch; urgency=high



 -- Ralf Kaestner <ralf.kaestner@gmail.com>  Tue, 20 Nov 2018 23:00:00 -0000

ros-melodic-variant-msgs (0.1.3-0stretch) stretch; urgency=high



 -- Ralf Kaestner <ralf.kaestner@gmail.com>  Thu, 19 May 2016 22:00:00 -0000

ros-melodic-variant-msgs (0.1.2-0stretch) stretch; urgency=high

  * update readme with build status
  * Contributors: Samuel Bachmann

 -- Ralf Kaestner <ralf.kaestner@gmail.com>  Wed, 18 May 2016 22:00:00 -0000

ros-melodic-variant-msgs (0.1.1-0stretch) stretch; urgency=high

  * Message variant tests successful
  * Refined traits, code cleanups
  * 
    
      * Created test package
      * Moved test binaries to test package
    
  * Contributors: Ralf Kaestner

 -- Ralf Kaestner <ralf.kaestner@gmail.com>  Wed, 11 May 2016 22:00:00 -0000

=== debian/control ===
Source: ros-melodic-variant-msgs
Section: misc
Priority: extra
Maintainer: Ralf Kaestner <ralf.kaestner@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-message-generation, ros-melodic-std-msgs
Homepage: http://github.com/ethz-asl/ros-topic-variant
Standards-Version: 3.9.2

Package: ros-melodic-variant-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-message-runtime, ros-melodic-std-msgs
Description: Variant messages are designed to accommodate the information content of any invariant message.
 They are truly generic and can freely be converted to and from specific message objects.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-variant-msgs//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-variant-msgs 0.1.6

=== debian/changelog ===
ros-melodic-variant-msgs (0.1.6-1bionic) bionic; urgency=high



 -- Samuel Bachmann <sbachmann@anybotics.com>  Tue, 05 Jan 2021 23:00:00 -0000

ros-melodic-variant-msgs (0.1.5-1bionic) bionic; urgency=high



 -- Ralf Kaestner <ralf.kaestner@gmail.com>  Thu, 22 Nov 2018 23:00:00 -0000

ros-melodic-variant-msgs (0.1.4-1bionic) bionic; urgency=high



 -- Ralf Kaestner <ralf.kaestner@gmail.com>  Tue, 20 Nov 2018 23:00:00 -0000

ros-melodic-variant-msgs (0.1.3-1bionic) bionic; urgency=high



 -- Ralf Kaestner <ralf.kaestner@gmail.com>  Thu, 19 May 2016 22:00:00 -0000

ros-melodic-variant-msgs (0.1.2-1bionic) bionic; urgency=high

  * update readme with build status
  * Contributors: Samuel Bachmann

 -- Ralf Kaestner <ralf.kaestner@gmail.com>  Wed, 18 May 2016 22:00:00 -0000

ros-melodic-variant-msgs (0.1.1-1bionic) bionic; urgency=high

  * Message variant tests successful
  * Refined traits, code cleanups
  * 
    
      * Created test package
      * Moved test binaries to test package
    
  * Contributors: Ralf Kaestner

 -- Ralf Kaestner <ralf.kaestner@gmail.com>  Wed, 11 May 2016 22:00:00 -0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: ros-melodic-variant-msgs
 Section: misc
-Priority: extra
-Maintainer: Ralf Kaestner <ralf.kaestner@gmail.com>
+Priority: optional
+Maintainer: Samuel Bachmann <sbachmann@anybotics.com>
 Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-message-generation, ros-melodic-std-msgs
-Homepage: http://github.com/ethz-asl/ros-topic-variant
+Homepage: http://github.com/anybotics/variant
 Standards-Version: 3.9.2
 
 Package: ros-melodic-variant-msgs
